﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 2014B: (1 year) VER VISA /9500+4Hd
DATE:                  2010-07-27 12:35:47
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       312
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY, ZY
# 
#  Models covered:
#        TDS 2014B
# 
#  Source(s):
#        TDS1000B and TDS2000B Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1828-00
# 
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub Select Failed Test Mode
#        Sub High Voltage Safety Warning
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS1000B/2000B USB Remote Interface Connection
#        Sub Tek TDS1000B/2000B Specifications
#        Sub Tek TDS1000B/2000B Self-Test VISA
#        Sub Tek TDS1000B/2000B Sig Path Comp Cal VISA
#        Sub Tek TDS1000B/2000B Select Channel VISA
#        Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
#        Sub Tek TDS1000B/2000B (1 yr) DCV Meas VISA /9500
#        Sub Tek TDS1000B/2000B (1 yr) Bandwidth VISA /9500
#        Sub Tek TDS1000B/2000B (1 yr) Trig Sens VISA /9500
#        Sub Tek TDS1000B/2000B (1 yr) Sample Rate VISA /9500
#        Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+2Hd
#        Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /9500
#        Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
#        Sub Datron 9500 Configuration Query IEEE
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        None
# 
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :  50 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1Vpp           LS    S
  1.004  M9500                       CH2
  1.005  9500         500MH                        1Vpp           LS    S
  1.006  M9500                       CH3
  1.007  9500         500MH                        1Vpp           LS    S
  1.008  M9500                       CH4
  1.009  9500         500MH                        1Vpp           LS    S
  1.010  ENDIF

  1.011  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.012  ASK+           K

  1.013  IF           NOT(VERSIONCHECK("7.20Z"))
  1.014  END
  1.015  ENDIF

  1.016  CALL         Sub Display Copyright
  1.017  CALL         Sub High Voltage Safety Warning
  1.018  CALL         Sub Select Failed Test Mode
  1.019  CALL         Sub Select Verification Method (No NTHROW)

  1.020  DISP         Ensure a minimum UUT warm-up time of at least
  1.020  DISP         10 minutes has been allowed to elapse, prior
  1.020  DISP         to beginning verification.

  1.021  CALL         Sub Tek TDS1000B/2000B USB Remote Interface Connection

  1.022  HEAD         UUT IDENTIFICATION
  1.023  CALL         Sub IEEE-488.2 Identification Query VISA
  1.024  MATH         @UUT_Model = "TDS 2014B"
  1.025  MATH         @UUT_Manufacturer = "Tektronix"
  1.026  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.027  JMPL         END                          @Abort

  1.028  CALL         Sub Datron 9500 Configuration Query IEEE

  1.029  IF           ZCMPI(@HeadTypeCh1, @HeadTypeCh2)
  1.030  MATH         @UsingPowerSplitter = 0; @Abort = 0

  1.031  ELSE         #NOT(ZCMPI(@HeadTypeCh1, @HeadTypeCh2))
  1.032  OPBR         -z In the subsequent external trigger sensitivity test,
  1.032  OPBR         the use of the 9500 dual sine function is recommended.
  1.032  OPBR         If two Active Heads of the same type are not available,
  1.032  OPBR         however, the use of a power splitter is also supported.
  1.032  OPBR
  1.032  OPBR         Do you wish to change Active Heads to faciltate the use
  1.032  OPBR         of the dual sine function at this time?
  1.033  MATH         @UsingPowerSplitter = NOT(MEM1)

  1.034  IF           MEM1
  1.035  DISP         Exchange 9500 Active Heads, ensuring the same types are
  1.035  DISP         used in both CH 1 and CH 2, then modify the MET/CAL
  1.035  DISP         Instrument Configuration and re-execute the procedure.
  1.035  DISP
  1.035  DISP         Selecting "Advance" aborts the procedure, facilitating
  1.035  DISP         the above change.
  1.036  MATH         @Abort = 1
  1.037  ELSE
  1.038  DISP         - Power Splitter, 1 kHz to 500 MHz, 6 dB insertion loss,
  1.038  DISP         [32] output tracking: <0.25 dB, equivalent output
  1.038  DISP         [32] SWR: <1.22, HP/Agilent 11667A or equivalent
  1.039  ENDIF

  1.040  ENDIF

  1.041  JMPL         END                          @Abort

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    4.   DCV MEASUREMENT ACC(CH2)           DCV MEASUREMENT ACC(CH2)
#    5.   DCV MEASUREMENT ACC(CH3)           DCV MEASUREMENT ACC(CH3)
#    6.   DCV MEASUREMENT ACC(CH4)           DCV MEASUREMENT ACC(CH4)
#    7.   BANDWIDTH(CH1)                     BANDWIDTH(CH1)
#    8.   BANDWIDTH(CH2)                     BANDWIDTH(CH2)
#    9.   BANDWIDTH(CH3)                     BANDWIDTH(CH3)
#   10.   BANDWIDTH(CH4)                     BANDWIDTH(CH4)
#   11.   EDGE-TRIGGER SENSITIVITY(CH1)      EDGE-TRIGGER SENSITIVITY(CH1)
#   12.   EDGE-TRIGGER SENSITIVITY(CH2)      EDGE-TRIGGER SENSITIVITY(CH2)
#   13.   EDGE-TRIGGER SENSITIVITY(CH3)      EDGE-TRIGGER SENSITIVITY(CH3)
#   14.   EDGE-TRIGGER SENSITIVITY(CH4)      EDGE-TRIGGER SENSITIVITY(CH4)
#   15.   EXT EDGE-TRIGGER SENSITIVITY(CH1)  VERTICAL POSITION ACC(CH1)
#   16.   EXT EDGE-TRIGGER SENSITIVITY(CH2)  VERTICAL POSITION ACC(CH2)
#   17.   EXT EDGE-TRIGGER SENSITIVITY(CH3)  VERTICAL POSITION ACC(CH3)
#   18.   EXT EDGE-TRIGGER SENSITIVITY(CH4)  VERTICAL POSITION ACC(CH4)
#   19.   SAMPLE RATE AND DELAY TIME ACC     SAMPLE RATE AND DELAY TIME ACC
#   20.   VERTICAL POSITION ACC(CH1)         EXT EDGE-TRIGGER SENSITIVITY(CH1)
#   21.   VERTICAL POSITION ACC(CH2)         EXT EDGE-TRIGGER SENSITIVITY(CH2)
#   22.   VERTICAL POSITION ACC(CH3)         EXT EDGE-TRIGGER SENSITIVITY(CH3)
#   23.   VERTICAL POSITION ACC(CH4)         EXT EDGE-TRIGGER SENSITIVITY(CH4)

  1.042  CALL         Sub Tek TDS1000B/2000B Specifications
  1.043  CALL         Sub Tek TDS1000B/2000B Self-Test VISA
  1.044  JMPL         END                          @Abort
  1.045  CALL         Sub Tek TDS1000B/2000B Sig Path Comp Cal VISA
  1.046  JMPL         END                          @Abort

  1.047  MATH         @NumHeads = 4

  1.048  MATH         @Chan = 1
  1.049  M9500                       CH1
  1.050  CALL         Sub Tek TDS1000B/2000B (1 yr) DCV MEAS VISA /9500

  1.051  MATH         @Chan = 2
  1.052  M9500                       CH2
  1.053  CALL         Sub Tek TDS1000B/2000B (1 yr) DCV MEAS VISA /9500

  1.054  MATH         @Chan = 3
  1.055  M9500                       CH3
  1.056  CALL         Sub Tek TDS1000B/2000B (1 yr) DCV MEAS VISA /9500

  1.057  MATH         @Chan = 4
  1.058  M9500                       CH4
  1.059  CALL         Sub Tek TDS1000B/2000B (1 yr) DCV MEAS VISA /9500

  1.060  MATH         @Chan = 1
  1.061  M9500                       CH1
  1.062  CALL         Sub Tek TDS1000B/2000B (1 yr) BANDWIDTH VISA /9500

  1.063  MATH         @Chan = 2
  1.064  M9500                       CH2
  1.065  CALL         Sub Tek TDS1000B/2000B (1 yr) BANDWIDTH VISA /9500

  1.066  MATH         @Chan = 3
  1.067  M9500                       CH3
  1.068  CALL         Sub Tek TDS1000B/2000B (1 yr) BANDWIDTH VISA /9500

  1.069  MATH         @Chan = 4
  1.070  M9500                       CH4
  1.071  CALL         Sub Tek TDS1000B/2000B (1 yr) BANDWIDTH VISA /9500

  1.072  MATH         @Chan = 1
  1.073  M9500                       CH1
  1.074  CALL         Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /9500

  1.075  MATH         @Chan = 2
  1.076  M9500                       CH2
  1.077  CALL         Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /9500

  1.078  MATH         @Chan = 3
  1.079  M9500                       CH3
  1.080  CALL         Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /9500

  1.081  MATH         @Chan = 4
  1.082  M9500                       CH4
  1.083  CALL         Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /9500
  1.084  JMPL         VERTICAL_POSITION

  1.085  LABEL        EXT_TRIG_CH1

  1.086  IF           @UsingPowerSplitter
  1.087  MATH         @Chan = 1
  1.088  M9500                       CH1
  1.089  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+1Hd
  1.090  MATH         @Chan = 2
  1.091  M9500                       CH1
  1.092  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+1Hd
  1.093  MATH         @Chan = 3
  1.094  M9500                       CH1
  1.095  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+1Hd
  1.096  MATH         @Chan = 4
  1.097  M9500                       CH1
  1.098  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+1Hd

  1.099  ELSE
  1.100  MATH         @Chan = 1
  1.101  M9500                       CH12
  1.102  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+2Hd
  1.103  MATH         @Chan = 2
  1.104  M9500                       CH12
  1.105  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+2Hd
  1.106  MATH         @Chan = 3
  1.107  M9500                       CH12
  1.108  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+2Hd
  1.109  MATH         @Chan = 4
  1.110  M9500                       CH12
  1.111  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+2Hd
  1.112  ENDIF

  1.113  JMPL         END

  1.114  LABEL        SAMPLE_RATE_DELAY_TIME
  1.115  MATH         @Chan = 1
  1.116  M9500                       CH1
  1.117  CALL         Sub Tek TDS1000B/2000B (1 yr) Sample Rate VISA /9500
  1.118  JMPL         EXT_TRIG_CH1

  1.119  LABEL        VERTICAL_POSITION
  1.120  MATH         @Chan = 1
  1.121  M9500                       CH1
  1.122  CALL         Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /9500

  1.123  MATH         @Chan = 2
  1.124  M9500                       CH2
  1.125  CALL         Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /9500

  1.126  MATH         @Chan = 3
  1.127  M9500                       CH3
  1.128  CALL         Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /9500

  1.129  MATH         @Chan = 4
  1.130  M9500                       CH4
  1.131  CALL         Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /9500
  1.132  JMPL         SAMPLE_RATE_DELAY_TIME

  1.133  LABEL        END

  1.134  IF           @Abort
  1.135  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.136  ELSE
  1.137  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.138  ENDIF

  1.139  VISA         *RST
  1.140  END
